FUNCTION ENDS_WITH(3)

NAME
boost::algorithm::ends_with - 'Ends with' predicate

SYNOPSIS

// In header: <boost/algorithm/string/predicate.hpp>
template<typename Range1T, typename Range2T, typename PredicateT>
  bool ends_with(const Range1T & Input, const Range2T & Test, PredicateT Comp);
template<typename Range1T, typename Range2T>
  bool ends_with(const Range1T & Input, const Range2T & Test);

DESCRIPTION

This predicate holds when the test string is a suffix of the Input. In other words, if the input ends with the test. When the optional predicate is specified, it is used for character-wise comparison.

Parameters:

    Comp
        An element comparison predicate

    Input
        An input sequence

    Test
        A test sequence

Returns:
    The result of the test

Notes:
    This function provides the strong exception-safety guarantee